function [varargout]=gmboundary(varargin)
%% gmboundary extracts the boundary from a simplicial complex
%%   Matlab: newsimpcomp = gmboundary(simpcomp); 
%%   Tcl/Tk: gmset newsimpcomp [gmboundary $simpcomp] 
%% This routine applies the boundary operator to a simplicial complex,
%% and returns the resulting simplicial complex.  The resulting
%% simplicial complex has the same embedded dimension, an intrinsic
%% dimension of one less, and a subset of the vertices. The global vertex
%% numbers are preserved.
gm_errmsg('gmboundary')
