function gmvizgui_callback(opcode)

global GMVIZGUI_HANDLE
if length(GMVIZGUI_HANDLE) ~= 1
  error('GMVIZGUI_HANDLE not set')
end

if opcode == 0
  set(GMVIZGUI_HANDLE,'visible', 'off')
elseif opcode == 1
  h = findobj(GMVIZGUI_HANDLE,  'tag', '2dGraphicsMatlab');
  set(h,'value',1);
  h = findobj(GMVIZGUI_HANDLE,  'tag', '2dGraphicsVRML');
  set(h,'value',0);
elseif opcode == 2
  h = findobj(GMVIZGUI_HANDLE,  'tag', '2dGraphicsMatlab');
  set(h,'value',0);
  h = findobj(GMVIZGUI_HANDLE,  'tag', '2dGraphicsVRML');
  set(h,'value',1);
elseif opcode == 3
  h = findobj(GMVIZGUI_HANDLE,  'tag', '3dGraphicsMatlab');
  set(h,'value',1);
  h = findobj(GMVIZGUI_HANDLE,  'tag', '3dGraphicsVRML');
  set(h,'value',0);
elseif opcode == 4
  h = findobj(GMVIZGUI_HANDLE,  'tag', '3dGraphicsMatlab');
  set(h,'value',0);
  h = findobj(GMVIZGUI_HANDLE,  'tag', '3dGraphicsVRML');
  set(h,'value',1);
elseif opcode == 5
  h = findobj(GMVIZGUI_HANDLE,  'tag', 'PointWidthSlider');
  v = get(h,'value');
  v2 = 1000^v;
  h2 = findobj(GMVIZGUI_HANDLE,  'tag', 'PointWidthText');
  set(h2, 'string', sprintf('Point width = %9.3f',v2));
elseif opcode == 6
  h = findobj(GMVIZGUI_HANDLE,  'tag', 'LineWidthSlider');
  v = get(h,'value');
  v2 = 1000^v;
  h2 = findobj(GMVIZGUI_HANDLE,  'tag', 'LineWidthText');
  set(h2, 'string', sprintf('Line width = %9.3f',v2));
elseif opcode == 7
  h = findobj(GMVIZGUI_HANDLE,  'tag', 'BezierSubdivSlider');
  v = get(h,'value');
  v2 = floor(33 * v + 1);
  v3 = v2 * (v2 + 1) / 2;
  h2 = findobj(GMVIZGUI_HANDLE,  'tag', 'BezierSubdivText');
  set(h2, 'string', sprintf('%d per segment; %d per triangle', v2, v3));
elseif opcode >= 8 & opcode <= 11
  h = findobj(GMVIZGUI_HANDLE,  'tag', 'RedSlider');
  red = get(h,'value');
  h2 = findobj(GMVIZGUI_HANDLE,  'tag', 'RedText');
  set(h2, 'string', sprintf('Red = %5.3f', red));
  h = findobj(GMVIZGUI_HANDLE,  'tag', 'GreenSlider');
  green = get(h,'value');
  h2 = findobj(GMVIZGUI_HANDLE,  'tag', 'GreenText');
  set(h2, 'string', sprintf('Green = %5.3f', green));
  h = findobj(GMVIZGUI_HANDLE,  'tag', 'BlueSlider');
  blue = get(h,'value');
  h2 = findobj(GMVIZGUI_HANDLE,  'tag', 'BlueText');
  set(h2, 'string', sprintf('Blue = %5.3f', blue));
  h = findobj(GMVIZGUI_HANDLE,  'tag', 'OpacitySlider');
  alpha = get(h,'value');
  h2 = findobj(GMVIZGUI_HANDLE,  'tag', 'OpacityText');
  set(h2, 'string', sprintf('Opacity = %5.3f', alpha));
  h = findobj(GMVIZGUI_HANDLE,  'tag', 'ColorShowFrame');
  set(h, 'backgroundcolor',[red,green,blue]);
elseif opcode == 12
  h = findobj(GMVIZGUI_HANDLE,  'tag', 'FileReplace');
  set(h,'value',1);
  h = findobj(GMVIZGUI_HANDLE,  'tag', 'FileAppend');
  set(h,'value',0);
elseif opcode == 13
  h = findobj(GMVIZGUI_HANDLE,  'tag', 'FileReplace');
  set(h,'value',0);
  h = findobj(GMVIZGUI_HANDLE,  'tag', 'FileAppend');
  set(h,'value',1);
elseif opcode == 14
  gmvizgui_callback(1);  
  gmvizgui_callback(3);  
  h = findobj(GMVIZGUI_HANDLE,  'tag', 'PointWidthSlider');
  set(h,'value', 0);
  gmvizgui_callback(5);
  h = findobj(GMVIZGUI_HANDLE,  'tag', 'LineWidthSlider');
  set(h,'value', 0);
  gmvizgui_callback(6);
  h = findobj(GMVIZGUI_HANDLE,  'tag', 'BezierSubdivSlider');
  set(h,'value', 1.001/11);
  gmvizgui_callback(7);
  h = findobj(GMVIZGUI_HANDLE,  'tag', 'RedSlider');
  set(h,'value', 0);
  h = findobj(GMVIZGUI_HANDLE,  'tag', 'GreenSlider');
  set(h,'value', 0);
  h = findobj(GMVIZGUI_HANDLE,  'tag', 'BlueSlider');
  set(h,'value', 0);
  h = findobj(GMVIZGUI_HANDLE,  'tag', 'OpacitySlider');
  set(h,'value', 1);
  gmvizgui_callback(8);
  gmvizgui_callback(12);
  h = findobj(GMVIZGUI_HANDLE,  'tag', 'FileNameEdit');
  set(h,'string','test.wrl');
  h = findobj(GMVIZGUI_HANDLE,  'tag', 'Notify');
  set(h,'value',1);
else
  error('Unknown gmvizgui opcode')
end

  
  




  
