% QMG test 3: mesh a dodecahedron


global QMG_DATA
dodec = gmoffread(fullfile(QMG_DATA,'dodec.off'));
show =  0;
global interactive
if length(interactive) > 0
  show = 1;
end

mesh  = gmmeshgen(dodec, 'show', show);
asp  = gmchecktri(dodec, mesh);

global aspprod
global meshsizesum

[scrap, numvtx] = size(mesh{4});

if length(aspprod) > 0
    aspprod  = aspprod * asp;
    meshsizesum = meshsizesum + numvtx;
end


% ------------------------------------------------------------------
% Copyright (c) 1999 by Cornell University.  All rights reserved
% See the accompanying file 'Copyright' for authorship information,
% the terms of the license governing this software, and disclaimers
% concerning this software.
% ------------------------------------------------------------------
% This file is part of the QMG software.  
% Version 2.0 of QMG, release date September 3, 1999.
% ------------------------------------------------------------------
