## QMG test 6 -- test a surface crack in a 3D cube

global qmg_data
gmset crackcube [gm_read $qmg_data/crackcube.geo]
set show 0
if {[llength [info globals interactive]]} {
    set show 1
}
gmset mesh [gmmeshgen $crackcube curve "(const 1)" show $show]

gmset {crackcube2 mesh2} [gmdouble $crackcube * $mesh]

set asp [gmchecktri $crackcube2 $mesh2]
gmset {numvtx numelt} [gmmeshsize $mesh2]

if {[llength [info globals aspprod]]} {
    global aspprod
    set aspprod [expr $aspprod * $asp]
}

if {[llength [info globals meshsizesum]]} {
    global meshsizesum
    set meshsizesum [expr $meshsizesum + $numvtx]
}

# ------------------------------------------------------------------
# Copyright (c) 1999 by Cornell University.  All rights reserved
# See the accompanying file 'Copyright' for authorship information,
# the terms of the license governing this software, and disclaimers
# concerning this software.
# ------------------------------------------------------------------
# This file is part of the QMG software.  
# Version 2.0 of QMG, release date September 3, 1999.
# ------------------------------------------------------------------

